package com.malk.guyuan.controller;

import com.malk.server.common.McR;
import com.malk.service.tencent.TXYInvoice;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 错误抛出与拦截详见CatchException
 */
@Slf4j
@RestController
@RequestMapping("")
public class IVController {


    @Autowired
    private TXYInvoice txyInvoice;

    @PostMapping("test-iv")
    McR test() {

//        String url = "https://mc.cloudpure.cn/mjs/wget/2111686298289_.pic_hd.jpg";
        String url = "https://mc.cloudpure.cn/mjs/wget/2121686298291_.pic_hd.jpg";

        return McR.success(txyInvoice.doMixedInvoiceOCR(url));
    }

}
