package com.malk.rongzhi.repository.entity;

import com.malk.base.BasePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "rz_ebk_record")
public class RzEkbRecordPo extends BasePo {

    /**
     * 考勤日期 [开始]
     */
    private String checkDate;

    /**
     * 用户id [易快报]
     */
    private String userId;
}
