package com.malk.rongzhi.server;

import com.malk.server.common.McException;
import com.malk.server.common.VenR;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 返回值配置参考McR
 */
@Data
@NoArgsConstructor
public class RZR extends VenR {

    private String err_code;
    private String message;
    private String data;

    // 成功状态标记
    private final static String SUC_CODE = "0";

    /**
     * 断言错误信息
     */
    @Override
    public void assertSuccess() {
        McException.assertException(!err_code.equals(SUC_CODE), err_code, message, "MC-RZ");
    }
}
