package com.malk.xiding.repository.entity;

import com.malk.base.BasePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "xd_dd_fxk_relation")
public class XdDdFxkRelationPo extends BasePo {

    /**
     * 钉钉ID
     */
    private String idDd;

    /**
     * 员工姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 纷享销客ID
     */
    private String idFxxk;

    /**
     * 同步备注
     */
    private String remark;
}
