package com.malk.xiding.service;

import java.util.Date;

public interface XDService {

    /**
     * 同步审批单
     *
     * @param tmpCode 审批单编码
     * @param type    审批单描述
     */
    void syncApprove(long beginTime, long finishTime, String tmpCode, String type);

    /**
     * 同步考勤记录 [50人考勤记录部分接近1000]
     *
     * @param sTime 考勤同步开始时间 & 读取结束时间大于sTime的申请单
     * @param eTime 考勤同步结束时间
     */
    void syncAttendance(int page, Date sTime, Date eTime);
}
