package com.malk.minjiaoyuan.controller;

import com.malk.minjiaoyuan.service.MJYService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import com.malk.service.aliwork.YDService;
import com.malk.service.dingtalk.DDClient;
import com.malk.service.dingtalk.DDClient_Contacts;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Profile({"dev"})
@RestController
@RequestMapping({"/minjiaoyuan"})
public class TestControl {
    private static final Logger log = LoggerFactory.getLogger(com.malk.minjiaoyuan.controller.TestControl.class);

    @Autowired
    private YDClient ydClient;

    @Autowired
    private YDConf ydConf;

    @Autowired
    private MJYService mjyService;

    @Autowired
    private YDService ydService;

    @Autowired
    private DDClient ddClient;

    @Autowired
    private DDClient_Contacts ddClient_contacts;

    @PostMapping({"test2"})
    McR test2() {
        return McR.success();
    }

    @PostMapping({"test"})
    McR test() {
        return McR.success();
    }

    public List<Map> getCollectData(String formInstanceId) {
        YDParam ydParam = YDParam.builder().formUuid("FORM-AC666081555ANZAZ6D4IVCQLY5Y12P4ZSRTGLWD").formInstanceId(formInstanceId).tableFieldId("tableField_lgst1j3e").build();
        return this.ydService.queryDetails(ydParam);
    }
}
