package com.malk.xiding.repository.dao;

import com.malk.xiding.repository.entity.XdDdApproveRecordPo;
import org.springframework.data.jpa.repository.JpaRepository;

import javax.transaction.Transactional;
import java.util.Date;
import java.util.List;

/**
 * 钉钉审批记录
 */
@Transactional
public interface XdDdApproveRecordDao extends JpaRepository<XdDdApproveRecordPo, Long> {

    // 匹配差集, 未同步数据
    List<XdDdApproveRecordPo> findAllByInstanceIdIn(List<String> InstanceIds);

    // 查询范围, 匹配考勤表
    List<XdDdApproveRecordPo> findAllByStartTimeAfterAndEndTimeBeforeAndOpenUserIdIsNotNull(Date now1, Date now2);
}
