package com.malk.xiding.repository.dao;

import com.malk.xiding.repository.entity.XdDdApproveRecordPo;
import com.sun.xml.bind.v2.model.core.ID;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;

import javax.transaction.Transactional;
import java.util.Date;

/**
 * 钉钉审批记录
 */
@Transactional
public interface XdDdApproveRecordDao2 extends CrudRepository<XdDdApproveRecordPo, ID> {

    // 查询范围, 匹配考勤表
    Page<XdDdApproveRecordPo> findAllByEndTimeAfter(Date nowMin, Pageable page);

    Page<XdDdApproveRecordPo> findAll(Pageable page);
    
    Page<XdDdApproveRecordPo> findAllByOpenUserId(String userId, Pageable page);
}
