package com.malk.xintianlong.server;

import com.malk.Util.UtilMap;

import java.util.Map;

public class HSConf {

    /**
     * 申购单编码
     */
    public final static String PURCHASE_CODE_DD = "PROC-1B5FC37C-6670-4FC9-BD55-403ADE516394";

    /**
     * 指定书编码
     */
    public final static String PRODUCT_CODE_DD = "PROC-73D17253-4553-4F41-9DB4-E923C85842A0";
    /**
     * 结算编码
     */
    public final static String SETTLE_CODE_DD = "PROC-6C8769AB-5EC2-4A8F-858B-D2C3FA7A0210";

    /**
     * 审批主体
     */
    public final static Map SUB_CORP_DD = UtilMap.map("01, 02", "浙江金塔克斯科技有限公司, 浙江灏宇科技有限公司");

    /**
     * 钉钉秘钥
     */
    public final static String ACCESS_TOKEN_DD = "eyxiQ10TvCXk6M0";

    /**
     * 环思秘钥
     */
    public final static String ACCESS_TOKE_HS = "@#$dsjfld1sa%d#$3%Ds0d9fB";

    /**
     * 回调环思
     */
    public final static Map<String, String> CALLBACK_URL_HS = UtilMap.map("01, 02", "http://122.224.41.74:85/HSExtendInterface.asmx, http://122.224.41.74:82/HSExtendInterface.asmx");

    /**
     * 附件地址
     */
    public final static String getAttachmentUrl(String orderCOde, String corpType) {
        String host = "http://122.224.41.74";
        if (corpType.equals("01")) {
            host += ":4338/Order";
        } else {
            host += ":4337/Order";
        }
        return host + orderCOde + ".jpg";
    }

    /**
     * 环思审批状态 [审批通过时传固定值1；驳回时传固定值2]
     */
    public final static Map<String, ?> APPROVE_RESULT_HS = UtilMap.map("agree, refuse, terminated", 1, 2, 2);

}
