package com.malk.server.tencent;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "tencent")
public class TXYConf {

    private String APPID;

    private String SecretId;

    private String SecretKey;
    
    private String Region;
}